Bug 251322 - textproc/sigil: update to 1.4.2
Summary: textproc/sigil: update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sigil-ebook.com/2020/11/21/si...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-23 02:30 UTC by Jonathan Chen
Modified: 2020-11-24 07:02 UTC (History)
1 user (show)

See Also:


Attachments
1.4.1 - > 1.4.2 (902 bytes, patch)
2020-11-23 02:30 UTC, Jonathan Chen
jonc: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2020-11-23 02:30:07 UTC
Created attachment 219898 [details]
1.4.1 - > 1.4.2

Update to sigil 1.4.2
Comment 1 commit-hook freebsd_committer 2020-11-24 07:00:12 UTC
A commit references this bug:

Author: fernape
Date: Tue Nov 24 06:59:50 UTC 2020
New revision: 556150
URL: https://svnweb.freebsd.org/changeset/ports/556150

Log:
  textproc/sigil: update to 1.4.2

  From ChangeLog: https://sigil-ebook.com/2020/11/21/sigil-1-4-2-critical-fix-release/

  Bug Fixes Since Sigil-1.4.0:

   * critical bug fix for incorrectly xml encoding of opf metadata attributes that
     use entities
   * fix bug in "Add Existing" files when file names would require percent
     encoding
   * fix bug in multiple language spellchecking dialog word lookup when no
     language attributes used
   * update de, nl, sv, ko, ru translations that missed the Sigil 1.4.0 initial
     release
   * critical bug fix for over xml encoding html used inside metadata in the opf
   * revert ctrl-f to it long standing Find and Replace behaviour

  If you are using either Sigil-1.4.0 or Sigil-1.4.1, we strongly urge you to
  upgrade to Sigil-1.4.2.

  PR:	251322
  Submitted by:	jonc@chen.org.nz (maintainer)

Changes:
  head/textproc/sigil/Makefile
  head/textproc/sigil/distinfo
Comment 2 Fernando Apesteguía freebsd_committer 2020-11-24 07:02:08 UTC
Committed,

Thanks!